:root {
  --color-gradient-start: #5bc596;
  --color-gradient-end: #004ba8;
  --background-color: #e3e6e8;
}

body {
  font-family: Arial, sans-serif;
  background: linear-gradient(
    45deg,
    var(--color-gradient-start),
    var(--color-gradient-end)
  );
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
}

.linktree-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  border-radius: 10px;
}

.main-image {
  border-radius: 50%;
  margin-bottom: 20px;
  position: relative;
  width: 100px;
  height: 100px;
  z-index: 1;
}

.main-image img {
  border-radius: 50%;
  height: 100%;
  object-fit: cover;
  width: 100%;
}

.main-image::before {
  content: "";
  top: -3px;
  left: -3px;
  border-radius: 50%;
  display: inline-block;
  height: calc(100% + 6px);
  background: linear-gradient(180deg, var(--background-color), #333);
  position: absolute;
  width: calc(100% + 6px);
  z-index: -1;
}

.linktree-container h1 {
  margin-bottom: 20px;
  color: #333;
}

.links {
  list-style: none;
  padding: 0;
}

.links li {
  border: 2px solid var(--background-color);
  border-radius: 10px;
  margin: 10px 0;
  transition: background .6s ease;
}

.links a {
  text-decoration: none;
  color: var(--background-color);
  font-weight: bold;
  font-size: clamp(12px, 24px, 5vw);
  display: flex;
  align-items: center;
  gap: clamp(8px, 16px, 2vw);
  padding: 20px;
  transition: color 0.6s ease;
}

.links a img {
  margin-right: 10px;
  width: 8%;
  min-width: 30px;
  min-height: 30px;
  height: 8%;
  object-fit: contain;
}

.links li:hover {
  background-color: var(--background-color);
}

.links li:hover a {
  color: #333;
}
